Skip to content
Browse files

move autoloader to root so it can be easily required when installed v…

…ia pear

Signed-off-by: David A. Cuadrado <krawek@gmail.com>
  • Loading branch information...
1 parent 2c75a0c commit dff6d3bca0c8a669670f12ea3ac573cba15d26d4 @dcu dcu committed Jun 6, 2012
Showing with 4 additions and 3 deletions.
  1. +1 −0 .gitignore
  2. +1 −1 {lib → }/Authy.php
  3. +1 −1 pearfarm.spec
  4. +1 −1 tests/bootstrap.php
View
1 .gitignore
@@ -1,3 +1,4 @@
*~
.DS_Store
+package.xml
View
2 lib/Authy.php → Authy.php
@@ -23,7 +23,7 @@
function Authy_autoloader($className)
{
$className = ltrim($className, '\\');
- $baseDir = __DIR__.'/../lib/';
+ $baseDir = __DIR__.'/lib/';
$fileName = '';
$namespace = '';
if ($lastNsPos = strripos($className, '\\')) {
View
2 pearfarm.spec
@@ -3,7 +3,7 @@
require 'lib/Authy/Api.php';
$spec = Pearfarm_PackageSpec::create(array(Pearfarm_PackageSpec::OPT_BASEDIR => dirname(__FILE__)))
- ->setName('authy')
+ ->setName('Authy')
->setChannel('authy.github.com/pear')
->setSummary('A PHP client for Authy')
->setDescription('A PHP client for Authy')
View
2 tests/bootstrap.php
@@ -1,4 +1,4 @@
<?php
require_once __DIR__.'/Authy/TestCase.php';
-require_once __DIR__.'/../lib/Authy.php';
+require_once __DIR__.'/../Authy.php';

0 comments on commit dff6d3b

Please sign in to comment.
Something went wrong with that request. Please try again.